Debian Bug report logs - #658421
golang-weekly: "go build" and "go install" fail

version graph

Package: golang-go; Maintainer for golang-go is Michael Stapelberg <stapelberg@debian.org>; Source for golang-go is src:golang.

Reported by: Marvin Renich <mrvn@renich.org>

Date: Thu, 2 Feb 2012 21:51:01 UTC

Severity: grave

Merged with 668235, 668414

Found in versions golang/2:1-1, golang/2:1-2

Fixed in version golang/2:1-3

Done: Ondřej Surý <ondrej@debian.org>

Bug is archived. No further changes may be made.

Forwarded to http://code.google.com/p/go/issues/detail?id=3506

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Ondřej Surý <ondrej@debian.org>:
Bug#658421; Package golang-weekly. (Thu, 02 Feb 2012 21:51:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Marvin Renich <mrvn@renich.org>:
New Bug report received and forwarded. Copy sent to Ondřej Surý <ondrej@debian.org>. (Thu, 02 Feb 2012 21:51:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Marvin Renich <mrvn@renich.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: golang-weekly: "go build" and "go install" fail
Date: Thu, 02 Feb 2012 16:26:21 -0500
Package: golang-weekly
Version: 2012.01.27-2
Severity: important

$ echo $GOPATH
/home/mrvn/golang
$ cd $GOPATH
$ go build tempus
# tempus
morestack trampoline not defined - runtime.morestack00
morestack trampoline not defined - runtime.morestack10
morestack trampoline not defined - runtime.morestack01
morestack trampoline not defined - runtime.morestack11
morestack trampoline not defined - runtime.morestack8
morestack trampoline not defined - runtime.morestack16
morestack trampoline not defined - runtime.morestack24
morestack trampoline not defined - runtime.morestack32
morestack trampoline not defined - runtime.morestack40
morestack trampoline not defined - runtime.morestack48
$ go install tempus
open /usr/lib/go/pkg/linux_amd64/runtime.a: permission denied

It appears that the go std libraries are not completely built.  If I
download and build go from upstream, and set GOROOT and GOPATH
appropriately, I do not have these problems.

I also wanted to thank you for packaging both golang and golang-weekly.
I appreciate being able to install, upgrade, and remove them as Debian
packages and having them follow the Debian directory structure.

...Marvin


-- System Information:
Debian Release: wheezy/sid
  APT prefers testing
  APT policy: (990, 'testing'), (500, 'stable-updates'), (500, 'unstable'), (500, 'stable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.39-2-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages golang-weekly depends on:
ii  golang-weekly-doc    2012.01.27-2
ii  golang-weekly-go     2012.01.27-2
ii  golang-weekly-src    2012.01.27-2
ii  golang-weekly-tools  2012.01.27-2

golang-weekly recommends no packages.

golang-weekly suggests no packages.

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Ondřej Surý <ondrej@debian.org>:
Bug#658421; Package golang-weekly. (Wed, 29 Feb 2012 11:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ondřej Surý <ondrej@sury.org>:
Extra info received and forwarded to list. Copy sent to Ondřej Surý <ondrej@debian.org>. (Wed, 29 Feb 2012 11:21:10 GMT) Full text and rfc822 format available.

Message #10 received at submit@bugs.debian.org (full text, mbox):

From: Ondřej Surý <ondrej@sury.org>
To: Marvin Renich <mrvn@renich.org>, 658421@bugs.debian.org
Cc: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Re: Bug#658421: golang-weekly: "go build" and "go install" fail
Date: Wed, 29 Feb 2012 12:18:52 +0100
Hi Marvin,

that's really strange, because I do nothing special when building the
go sources.

Anyway I am packaging next weekly snapshot right now, so it would be
great if you could retest with 2012.02.22-1 as soon as it hits the
archive:

$ dpkg -c golang-weekly-go_2012.02.22-1_amd64.deb | grep runtime.a
-rw-r--r-- root/root    878986 2012-02-29 12:14
./usr/lib/go/pkg/linux_amd64/runtime.a

O.

On Thu, Feb 2, 2012 at 22:26, Marvin Renich <mrvn@renich.org> wrote:
> Package: golang-weekly
> Version: 2012.01.27-2
> Severity: important
>
> $ echo $GOPATH
> /home/mrvn/golang
> $ cd $GOPATH
> $ go build tempus
> # tempus
> morestack trampoline not defined - runtime.morestack00
> morestack trampoline not defined - runtime.morestack10
> morestack trampoline not defined - runtime.morestack01
> morestack trampoline not defined - runtime.morestack11
> morestack trampoline not defined - runtime.morestack8
> morestack trampoline not defined - runtime.morestack16
> morestack trampoline not defined - runtime.morestack24
> morestack trampoline not defined - runtime.morestack32
> morestack trampoline not defined - runtime.morestack40
> morestack trampoline not defined - runtime.morestack48
> $ go install tempus
> open /usr/lib/go/pkg/linux_amd64/runtime.a: permission denied
>
> It appears that the go std libraries are not completely built.  If I
> download and build go from upstream, and set GOROOT and GOPATH
> appropriately, I do not have these problems.
>
> I also wanted to thank you for packaging both golang and golang-weekly.
> I appreciate being able to install, upgrade, and remove them as Debian
> packages and having them follow the Debian directory structure.
>
> ...Marvin
>
>
> -- System Information:
> Debian Release: wheezy/sid
>  APT prefers testing
>  APT policy: (990, 'testing'), (500, 'stable-updates'), (500, 'unstable'), (500, 'stable')
> Architecture: amd64 (x86_64)
>
> Kernel: Linux 2.6.39-2-amd64 (SMP w/2 CPU cores)
> Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
> Shell: /bin/sh linked to /bin/dash
>
> Versions of packages golang-weekly depends on:
> ii  golang-weekly-doc    2012.01.27-2
> ii  golang-weekly-go     2012.01.27-2
> ii  golang-weekly-src    2012.01.27-2
> ii  golang-weekly-tools  2012.01.27-2
>
> golang-weekly recommends no packages.
>
> golang-weekly suggests no packages.
>
> -- no debconf information
>
>



-- 
Ondřej Surý <ondrej@sury.org>




Information forwarded to debian-bugs-dist@lists.debian.org, Ondřej Surý <ondrej@debian.org>:
Bug#658421; Package golang-weekly. (Wed, 29 Feb 2012 11:21:33 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ondřej Surý <ondrej@sury.org>:
Extra info received and forwarded to list. Copy sent to Ondřej Surý <ondrej@debian.org>. (Wed, 29 Feb 2012 11:21:34 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Ondřej Surý <ondrej@debian.org>:
Bug#658421; Package golang-weekly. (Sat, 03 Mar 2012 18:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Justus Winter <4winter@informatik.uni-hamburg.de>:
Extra info received and forwarded to list. Copy sent to Ondřej Surý <ondrej@debian.org>. (Sat, 03 Mar 2012 18:06:04 GMT) Full text and rfc822 format available.

Message #20 received at 658421@bugs.debian.org (full text, mbox):

From: Justus Winter <4winter@informatik.uni-hamburg.de>
To: Ondřej Surý <ondrej@sury.org>
Cc: 658421@bugs.debian.org, Marvin Renich <mrvn@renich.org>
Subject: Re: Bug#658421: golang-weekly: "go build" and "go install" fail
Date: Sat, 03 Mar 2012 18:56:52 +0100
Hi Ondřej,

I've been seeing the same error with 2012.02.22-3 and I think it is
because the library archive is older than the go source files, hence
the archive is considered old and go install tries to rebuild it.

The following workaround solves this, dunno why the timestamps are
wrong in the first place:

find /usr/lib/go/pkg -type f -exec touch {} +

Cheers,
Justus




Information forwarded to debian-bugs-dist@lists.debian.org, Ondřej Surý <ondrej@debian.org>:
Bug#658421; Package golang-weekly. (Sat, 03 Mar 2012 19:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ondřej Surý <ondrej@sury.org>:
Extra info received and forwarded to list. Copy sent to Ondřej Surý <ondrej@debian.org>. (Sat, 03 Mar 2012 19:42:03 GMT) Full text and rfc822 format available.

Message #25 received at 658421@bugs.debian.org (full text, mbox):

From: Ondřej Surý <ondrej@sury.org>
To: Justus Winter <4winter@informatik.uni-hamburg.de>
Cc: 658421@bugs.debian.org, Marvin Renich <mrvn@renich.org>
Subject: Re: Bug#658421: golang-weekly: "go build" and "go install" fail
Date: Sat, 3 Mar 2012 20:38:42 +0100
Ah, thanks for the hint. The timestamps are different because I copy
the source manually
from debian/rules.

That problem has easy solution, I am adding --preserve-timestamp
option to install invocation.

Could you retry it, when 2012.02.22-4 hits the debian? (Building now,
uploading in a moment.)

O.

On Sat, Mar 3, 2012 at 18:56, Justus Winter
<4winter@informatik.uni-hamburg.de> wrote:
> Hi Ondřej,
>
> I've been seeing the same error with 2012.02.22-3 and I think it is
> because the library archive is older than the go source files, hence
> the archive is considered old and go install tries to rebuild it.
>
> The following workaround solves this, dunno why the timestamps are
> wrong in the first place:
>
> find /usr/lib/go/pkg -type f -exec touch {} +
>
> Cheers,
> Justus



-- 
Ondřej Surý <ondrej@sury.org>




Reply sent to Ondřej Surý <ondrej@debian.org>:
You have taken responsibility. (Sat, 03 Mar 2012 19:54:03 GMT) Full text and rfc822 format available.

Notification sent to Marvin Renich <mrvn@renich.org>:
Bug acknowledged by developer. (Sat, 03 Mar 2012 19:54:03 GMT) Full text and rfc822 format available.

Message #30 received at 658421-close@bugs.debian.org (full text, mbox):

From: Ondřej Surý <ondrej@debian.org>
To: 658421-close@bugs.debian.org
Subject: Bug#658421: fixed in golang-weekly 2012.02.22-4
Date: Sat, 03 Mar 2012 19:50:55 +0000
Source: golang-weekly
Source-Version: 2012.02.22-4

We believe that the bug you reported is fixed in the latest version of
golang-weekly, which is due to be installed in the Debian FTP archive:

golang-weekly-dbg_2012.02.22-4_amd64.deb
  to main/g/golang-weekly/golang-weekly-dbg_2012.02.22-4_amd64.deb
golang-weekly-doc_2012.02.22-4_all.deb
  to main/g/golang-weekly/golang-weekly-doc_2012.02.22-4_all.deb
golang-weekly-go_2012.02.22-4_amd64.deb
  to main/g/golang-weekly/golang-weekly-go_2012.02.22-4_amd64.deb
golang-weekly-src_2012.02.22-4_amd64.deb
  to main/g/golang-weekly/golang-weekly-src_2012.02.22-4_amd64.deb
golang-weekly_2012.02.22-4.debian.tar.gz
  to main/g/golang-weekly/golang-weekly_2012.02.22-4.debian.tar.gz
golang-weekly_2012.02.22-4.dsc
  to main/g/golang-weekly/golang-weekly_2012.02.22-4.dsc
golang-weekly_2012.02.22-4_all.deb
  to main/g/golang-weekly/golang-weekly_2012.02.22-4_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 658421@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Ondřej Surý <ondrej@debian.org> (supplier of updated golang-weekly package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 03 Mar 2012 20:37:23 +0100
Source: golang-weekly
Binary: golang-weekly-go golang-weekly-src golang-weekly-doc golang-weekly-dbg golang-weekly
Architecture: source amd64 all
Version: 2012.02.22-4
Distribution: unstable
Urgency: low
Maintainer: Ondřej Surý <ondrej@debian.org>
Changed-By: Ondřej Surý <ondrej@debian.org>
Description: 
 golang-weekly - Experimental Go programming language [meta package]
 golang-weekly-dbg - Go programming language tool chain [debug]
 golang-weekly-doc - Documentation for Google's Go programming language
 golang-weekly-go - Experimental Go programming language compiler
 golang-weekly-src - Go programming language compiler (.go source files)
Closes: 658421
Changes: 
 golang-weekly (2012.02.22-4) unstable; urgency=low
 .
   * Preserve timestamps on source files (Closes: #658421)
Checksums-Sha1: 
 c53d9036cbbc08efc239ce7337a275953b4b2f67 1586 golang-weekly_2012.02.22-4.dsc
 d2e896118da5ae3471b5448859e2987103bdcbe1 29009 golang-weekly_2012.02.22-4.debian.tar.gz
 5ec65aed09d88e13e25891e96eb044dc21565fb4 18921184 golang-weekly-go_2012.02.22-4_amd64.deb
 ad38b8a300a7fa6dd620e346913b023b43f2209f 2259964 golang-weekly-src_2012.02.22-4_amd64.deb
 96baffc124d738c4cd353419b498fbb5688b9567 4235826 golang-weekly-doc_2012.02.22-4_all.deb
 fb7e3c77158020dd9a148edcca9f912fae76e894 2854136 golang-weekly-dbg_2012.02.22-4_amd64.deb
 e48cd6aceb753dc0cd357bfc54db8fc72b9784aa 22546 golang-weekly_2012.02.22-4_all.deb
Checksums-Sha256: 
 b7658b0b57de9c2da809b3c12a15e226cc9214f435e5d236b00f9e644b73a227 1586 golang-weekly_2012.02.22-4.dsc
 57a223052fc3a89a7407f09dc85e7cd17643d2775473637a13043d45a1e0a7f6 29009 golang-weekly_2012.02.22-4.debian.tar.gz
 4e5b088233459c25964154c5fc32c63abb301bc30ed9ff41e3c062371861217d 18921184 golang-weekly-go_2012.02.22-4_amd64.deb
 f1428c75e88f2792ad6d79a8a46f22a0b6568978e21fd20b4c07a1aeea063d4f 2259964 golang-weekly-src_2012.02.22-4_amd64.deb
 afac0f34c70295b341902b8500180defb203364ebb2654f4509658847707b88f 4235826 golang-weekly-doc_2012.02.22-4_all.deb
 31c3357c5d7f15943e71af5a1fe7b91fb6a5bf96e0ba889809a4952d81935bcd 2854136 golang-weekly-dbg_2012.02.22-4_amd64.deb
 8a5c66e53a7e097c36aa2517ce2525fdb8bb6abb43c9bd3cecc84ef7b2f27cd4 22546 golang-weekly_2012.02.22-4_all.deb
Files: 
 32c61c1df1cc251dcb993b03dce823f5 1586 devel optional golang-weekly_2012.02.22-4.dsc
 bc863867bfd05c8d2afb3775301fd8b2 29009 devel optional golang-weekly_2012.02.22-4.debian.tar.gz
 20fb8d669988f3764bb51fe869a43756 18921184 devel optional golang-weekly-go_2012.02.22-4_amd64.deb
 04e4c1e0f1b82d1345c3f0894cb8665f 2259964 devel optional golang-weekly-src_2012.02.22-4_amd64.deb
 ed631d14bdfe7f9f4b3056aee57d7d2a 4235826 doc optional golang-weekly-doc_2012.02.22-4_all.deb
 7a0a6fce7e2c00836a8f8a79288a40c6 2854136 debug extra golang-weekly-dbg_2012.02.22-4_amd64.deb
 f010a8ef9def6d9e2702b8079287bb2f 22546 devel optional golang-weekly_2012.02.22-4_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAk9Sc9YACgkQ9OZqfMIN8nOr0wCdHP+blR3npVPzA67REHLOn7VA
j8MAn0th5XgF/J3ayJ82VJyDyXxH7afV
=6oMn
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, Ondřej Surý <ondrej@debian.org>:
Bug#658421; Package golang-weekly. (Sun, 04 Mar 2012 15:06:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Justus Winter <4winter@informatik.uni-hamburg.de>:
Extra info received and forwarded to list. Copy sent to Ondřej Surý <ondrej@debian.org>. (Sun, 04 Mar 2012 15:06:07 GMT) Full text and rfc822 format available.

Message #35 received at 658421@bugs.debian.org (full text, mbox):

From: Justus Winter <4winter@informatik.uni-hamburg.de>
To: Ondřej Surý <ondrej@sury.org>,
Cc: 658421@bugs.debian.org, Marvin Renich <mrvn@renich.org>
Subject: Re: Bug#658421: golang-weekly: "go build" and "go install" fail
Date: Sun, 04 Mar 2012 16:02:33 +0100
Quoting Ondřej Surý (2012-03-03 20:38:42)
>Ah, thanks for the hint. The timestamps are different because I copy
>the source manually
>from debian/rules.
>
>That problem has easy solution, I am adding --preserve-timestamp
>option to install invocation.
>
>Could you retry it, when 2012.02.22-4 hits the debian? (Building now,
>uploading in a moment.)

Yes, the new package works nicely. Thanks for the quick response :)

Justus




Information forwarded to debian-bugs-dist@lists.debian.org, Ondřej Surý <ondrej@debian.org>:
Bug#658421; Package golang-weekly. (Sun, 11 Mar 2012 17:42:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Justus Winter <4winter@informatik.uni-hamburg.de>:
Extra info received and forwarded to list. Copy sent to Ondřej Surý <ondrej@debian.org>. (Sun, 11 Mar 2012 17:42:04 GMT) Full text and rfc822 format available.

Message #40 received at 658421@bugs.debian.org (full text, mbox):

From: Justus Winter <4winter@informatik.uni-hamburg.de>
To: Ondřej Surý <ondrej@sury.org>
Cc: 658421@bugs.debian.org, Marvin Renich <mrvn@renich.org>, control@bugs.debian.org
Subject: Re: Bug#658421: golang-weekly: "go build" and "go install" fail
Date: Sun, 11 Mar 2012 18:38:38 +0100
found 658421 2012.03.04-1
thanks

Quoting Ondřej Surý (2012-03-03 20:38:42)
>Ah, thanks for the hint. The timestamps are different because I copy
>the source manually
>from debian/rules.
>
>That problem has easy solution, I am adding --preserve-timestamp
>option to install invocation.

Hm, the issue is back:

% make
go install vgo/logic
open /usr/lib/go/pkg/linux_amd64/runtime.a: permission denied
make: *** [vgo] Error 1
% find /usr/lib/go/src/pkg/runtime -newer /usr/lib/go/pkg/linux_amd64/runtime.a
/usr/lib/go/src/pkg/runtime
/usr/lib/go/src/pkg/runtime/pprof
/usr/lib/go/src/pkg/runtime/cgo
/usr/lib/go/src/pkg/runtime/debug

But this time my workaround isn't working anymore, don't know what
triggers the rebuild this time...

Justus




Bug Marked as found in versions golang-weekly/2012.03.04-1 and reopened. Request was from Justus Winter <4winter@informatik.uni-hamburg.de> to control@bugs.debian.org. (Sun, 11 Mar 2012 17:48:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Ondřej Surý <ondrej@debian.org>:
Bug#658421; Package golang-weekly. (Tue, 13 Mar 2012 15:06:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ondřej Surý <ondrej@sury.org>:
Extra info received and forwarded to list. Copy sent to Ondřej Surý <ondrej@debian.org>. (Tue, 13 Mar 2012 15:06:07 GMT) Full text and rfc822 format available.

Message #47 received at 658421@bugs.debian.org (full text, mbox):

From: Ondřej Surý <ondrej@sury.org>
To: Marvin Renich <mrvn@renich.org>
Cc: 658421@bugs.debian.org, Justus Winter <4winter@informatik.uni-hamburg.de>
Subject: Re: Bug#658421: golang-weekly: "go build" and "go install" fail
Date: Tue, 13 Mar 2012 16:02:27 +0100
On Tue, Mar 13, 2012 at 15:47, Marvin Renich <mrvn@renich.org> wrote:
> * Justus Winter <4winter@informatik.uni-hamburg.de> [120311 14:19]:
>> Hm, the issue is back:
>>
>> % make
>> go install vgo/logic
>> open /usr/lib/go/pkg/linux_amd64/runtime.a: permission denied
>> make: *** [vgo] Error 1
>> % find /usr/lib/go/src/pkg/runtime -newer /usr/lib/go/pkg/linux_amd64/runtime.a
>> /usr/lib/go/src/pkg/runtime
>> /usr/lib/go/src/pkg/runtime/pprof
>> /usr/lib/go/src/pkg/runtime/cgo
>> /usr/lib/go/src/pkg/runtime/debug
>>
>> But this time my workaround isn't working anymore, don't know what
>> triggers the rebuild this time...
>
> Sorry it took so long to get back to you.  I didn't have a chance to try
> 2012.02.22, but I'm still having problems with 2012.03.04.  I get:
>
> $ go install ./
> load cmd/cgo: package cmd/cgo: no Go source files in /usr/lib/go/src/cmd/cgo
>
> And indeed, the only source for anything under .../src/cmd/ is the
> doc.go file for each command.  The source for .../src/pkg/ seems to be
> intact.

That's true. They wasn't necessary in previous versions. I just cannot
understand the whole concept of "we compile everything, but we still
need the source code".

I'll include the cmd/ sources in next upload of golang-weekly.

O.
-- 
Ondřej Surý <ondrej@sury.org>




Information forwarded to debian-bugs-dist@lists.debian.org, Ondřej Surý <ondrej@debian.org>:
Bug#658421; Package golang-weekly. (Tue, 13 Mar 2012 15:06:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Marvin Renich <mrvn@renich.org>:
Extra info received and forwarded to list. Copy sent to Ondřej Surý <ondrej@debian.org>. (Tue, 13 Mar 2012 15:06:09 GMT) Full text and rfc822 format available.

Message #52 received at 658421@bugs.debian.org (full text, mbox):

From: Marvin Renich <mrvn@renich.org>
To: Ondřej Surý <ondrej@sury.org>
Cc: 658421@bugs.debian.org, Justus Winter <4winter@informatik.uni-hamburg.de>
Subject: Re: Bug#658421: golang-weekly: "go build" and "go install" fail
Date: Tue, 13 Mar 2012 10:47:49 -0400
* Justus Winter <4winter@informatik.uni-hamburg.de> [120311 14:19]:
> Hm, the issue is back:
> 
> % make
> go install vgo/logic
> open /usr/lib/go/pkg/linux_amd64/runtime.a: permission denied
> make: *** [vgo] Error 1
> % find /usr/lib/go/src/pkg/runtime -newer /usr/lib/go/pkg/linux_amd64/runtime.a
> /usr/lib/go/src/pkg/runtime
> /usr/lib/go/src/pkg/runtime/pprof
> /usr/lib/go/src/pkg/runtime/cgo
> /usr/lib/go/src/pkg/runtime/debug
> 
> But this time my workaround isn't working anymore, don't know what
> triggers the rebuild this time...

Sorry it took so long to get back to you.  I didn't have a chance to try
2012.02.22, but I'm still having problems with 2012.03.04.  I get:

$ go install ./
load cmd/cgo: package cmd/cgo: no Go source files in /usr/lib/go/src/cmd/cgo

And indeed, the only source for anything under .../src/cmd/ is the
doc.go file for each command.  The source for .../src/pkg/ seems to be
intact.

...Marvin





Reply sent to Ondřej Surý <ondrej@debian.org>:
You have taken responsibility. (Mon, 26 Mar 2012 15:21:16 GMT) Full text and rfc822 format available.

Notification sent to Marvin Renich <mrvn@renich.org>:
Bug acknowledged by developer. (Mon, 26 Mar 2012 15:21:16 GMT) Full text and rfc822 format available.

Message #57 received at 658421-close@bugs.debian.org (full text, mbox):

From: Ondřej Surý <ondrej@debian.org>
To: 658421-close@bugs.debian.org
Subject: Bug#658421: fixed in golang-weekly 2012.03.22-1
Date: Mon, 26 Mar 2012 15:19:27 +0000
Source: golang-weekly
Source-Version: 2012.03.22-1

We believe that the bug you reported is fixed in the latest version of
golang-weekly, which is due to be installed in the Debian FTP archive:

golang-weekly-dbg_2012.03.22-1_amd64.deb
  to main/g/golang-weekly/golang-weekly-dbg_2012.03.22-1_amd64.deb
golang-weekly-doc_2012.03.22-1_all.deb
  to main/g/golang-weekly/golang-weekly-doc_2012.03.22-1_all.deb
golang-weekly-go_2012.03.22-1_amd64.deb
  to main/g/golang-weekly/golang-weekly-go_2012.03.22-1_amd64.deb
golang-weekly-src_2012.03.22-1_amd64.deb
  to main/g/golang-weekly/golang-weekly-src_2012.03.22-1_amd64.deb
golang-weekly_2012.03.22-1.debian.tar.gz
  to main/g/golang-weekly/golang-weekly_2012.03.22-1.debian.tar.gz
golang-weekly_2012.03.22-1.dsc
  to main/g/golang-weekly/golang-weekly_2012.03.22-1.dsc
golang-weekly_2012.03.22-1_all.deb
  to main/g/golang-weekly/golang-weekly_2012.03.22-1_all.deb
golang-weekly_2012.03.22.orig.tar.gz
  to main/g/golang-weekly/golang-weekly_2012.03.22.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 658421@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Ondřej Surý <ondrej@debian.org> (supplier of updated golang-weekly package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 26 Mar 2012 16:51:57 +0200
Source: golang-weekly
Binary: golang-weekly-go golang-weekly-src golang-weekly-doc golang-weekly-dbg golang-weekly
Architecture: source amd64 all
Version: 2012.03.22-1
Distribution: unstable
Urgency: low
Maintainer: Ondřej Surý <ondrej@debian.org>
Changed-By: Ondřej Surý <ondrej@debian.org>
Description: 
 golang-weekly - Go programming language compiler - metapackage
 golang-weekly-dbg - Go programming language compiler - debug files
 golang-weekly-doc - Go programming language compiler - documentation
 golang-weekly-go - Go programming language compiler
 golang-weekly-src - Go programming language compiler - source files
Closes: 658415 658421 661896 661951 661966 661981 662873 662912 663205 663489 663559 664136 664232 664273 664452
Changes: 
 golang-weekly (2012.03.22-1) unstable; urgency=low
 .
   * Install sources for cmd tree as well (Closes: #658421)
   * Imported Upstream version 2012.03.22
   * Debconf templates and debian/control reviewed by the debian-l10n-
     english team as part of the Smith review project. (Closes: #658415)
   * [Debconf translation updates]
   * Polish (Michał Kułach).  (Closes: #661896,#663205)
   * Danish (Joe Hansen).  (Closes: #661951, #664232)
   * Swedish (Martin Bagge / brother).  (Closes: #661966)
   * Russian (Yuri Kozlov).  (Closes: #661981, #663489)
   * German (Chris Leick).  (Closes: #662873)
   * French (François LANKAR).  (Closes: #662912)
   * Dutch; (Jeroen Schot).  (Closes: #663559)
   * Italian (Beatrice Torracca).  (Closes: #664136)
   * Portuguese (Pedro Ribeiro).  (Closes: #664273)
   * Portuguese (Pedro Ribeiro).  (Closes: #664273)
   * Czech (Michal Simunek).  (Closes: #664452)
Checksums-Sha1: 
 8d56c911ea7ed722492f06185f9d419a8edb7d82 1589 golang-weekly_2012.03.22-1.dsc
 e1c21cdef0ae5718d91c0490b25161a9f317be57 10045693 golang-weekly_2012.03.22.orig.tar.gz
 f6d13cf8c92aa6b074c1e58cb7f33870a1fb4dde 34952 golang-weekly_2012.03.22-1.debian.tar.gz
 b6604a0017d5a3272bb4de9287f00e70c566e799 19467650 golang-weekly-go_2012.03.22-1_amd64.deb
 15531fa3c9b1ec5881daab7a0180b001fddf80a9 2540928 golang-weekly-src_2012.03.22-1_amd64.deb
 23dbd2a6672218d1ac8dfa12cd53559a468f4cf1 4342724 golang-weekly-doc_2012.03.22-1_all.deb
 20a845032f8051af2ea26c893b77684ee3b720a7 3141174 golang-weekly-dbg_2012.03.22-1_amd64.deb
 78267daf56840631c87522e4487df5ace3d82b25 22814 golang-weekly_2012.03.22-1_all.deb
Checksums-Sha256: 
 94883f85995b7bd06d51b86719e18c1b0d108616b27c2063c4ad61a3da484e4b 1589 golang-weekly_2012.03.22-1.dsc
 88276f84b9e2bccaa8358af3435879463d9931899786fc1fa37d966c19f7f47a 10045693 golang-weekly_2012.03.22.orig.tar.gz
 3783cd5c944925a56f9d93124777dc37be4f6fa88123e926819ff69971009583 34952 golang-weekly_2012.03.22-1.debian.tar.gz
 08fbe74a76d19b47ab6070b873f2003f6a191101090e2b272ebf42d051039364 19467650 golang-weekly-go_2012.03.22-1_amd64.deb
 4171110d4bbc91d16816e7aac924c88d9c2a7f0aef79b210df353e3841f32cc1 2540928 golang-weekly-src_2012.03.22-1_amd64.deb
 3e5757d52a6c9416a2546af7c4012ea64cdc9e704d7731c3bfda50b3b4b4b63c 4342724 golang-weekly-doc_2012.03.22-1_all.deb
 ff49c49b5af9dee4b15af919421ccbada5dcdeb2f443802f8806392ac9444032 3141174 golang-weekly-dbg_2012.03.22-1_amd64.deb
 b4c4ff2c2b180e771410cddd865ed4ef49ee4a9e0859d133125f377543e17b08 22814 golang-weekly_2012.03.22-1_all.deb
Files: 
 51f8a089751203e38e3835cad4839f39 1589 devel optional golang-weekly_2012.03.22-1.dsc
 69ba195a8ab518e94fc99261d1a9c08a 10045693 devel optional golang-weekly_2012.03.22.orig.tar.gz
 576d59c7da8968608b13b84341fa31ab 34952 devel optional golang-weekly_2012.03.22-1.debian.tar.gz
 addd87890bcc776254a4b1ef5cf685d0 19467650 devel optional golang-weekly-go_2012.03.22-1_amd64.deb
 f3e32e204941cc3fd488d8ced647b75a 2540928 devel optional golang-weekly-src_2012.03.22-1_amd64.deb
 e845644a66429dd32127bc354c255a2f 4342724 doc optional golang-weekly-doc_2012.03.22-1_all.deb
 308927cd890d109d768f779a3178688c 3141174 debug extra golang-weekly-dbg_2012.03.22-1_amd64.deb
 e91f744a008655088460fb1596a6f47f 22814 devel optional golang-weekly_2012.03.22-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAk9whUAACgkQ9OZqfMIN8nOjlwCffL2FAQ9V73lpklbUGlYHf98z
YC8AnRHVmmsEnWCoOj86Qg9FdMcbBj4D
=LvBv
-----END PGP SIGNATURE-----





Bug reopened Request was from Ondřej Surý <ondrej@debian.org> to control@bugs.debian.org. (Wed, 11 Apr 2012 15:57:27 GMT) Full text and rfc822 format available.

No longer marked as fixed in versions golang-weekly/2012.02.22-4 and golang-weekly/2012.03.22-1. Request was from Ondřej Surý <ondrej@debian.org> to control@bugs.debian.org. (Wed, 11 Apr 2012 15:57:28 GMT) Full text and rfc822 format available.

Bug reassigned from package 'golang-weekly' to 'golang-go'. Request was from Ondřej Surý <ondrej@debian.org> to control@bugs.debian.org. (Wed, 11 Apr 2012 15:57:29 GMT) Full text and rfc822 format available.

No longer marked as found in versions golang-weekly/2012.03.04-1 and golang-weekly/2012.01.27-2. Request was from Ondřej Surý <ondrej@debian.org> to control@bugs.debian.org. (Wed, 11 Apr 2012 15:57:29 GMT) Full text and rfc822 format available.

Set Bug forwarded-to-address to 'http://code.google.com/p/go/issues/detail?id=3506'. Request was from Ondřej Surý <ondrej@debian.org> to control@bugs.debian.org. (Wed, 11 Apr 2012 15:57:30 GMT) Full text and rfc822 format available.

Severity set to 'grave' from 'important' Request was from Ondřej Surý <ondrej@debian.org> to control@bugs.debian.org. (Wed, 11 Apr 2012 15:57:31 GMT) Full text and rfc822 format available.

Marked as found in versions golang/2:1-2. Request was from Ondřej Surý <ondrej@debian.org> to control@bugs.debian.org. (Wed, 11 Apr 2012 15:57:31 GMT) Full text and rfc822 format available.

Merged 658421 668235 Request was from Ondřej Surý <ondrej@debian.org> to control@bugs.debian.org. (Wed, 11 Apr 2012 15:57:33 GMT) Full text and rfc822 format available.

Merged 658421 668235 668414 Request was from Ondřej Surý <ondrej@sury.org> to control@bugs.debian.org. (Wed, 11 Apr 2012 18:24:16 GMT) Full text and rfc822 format available.

Marked as found in versions golang/3:1-1. Request was from Ondřej Surý <ondrej@debian.org> to control@bugs.debian.org. (Wed, 11 Apr 2012 20:36:04 GMT) Full text and rfc822 format available.

Marked as found in versions golang/2:1-1. Request was from Ondřej Surý <ondrej@debian.org> to control@bugs.debian.org. (Wed, 11 Apr 2012 20:36:07 GMT) Full text and rfc822 format available.

No longer marked as found in versions golang/3:1-1. Request was from Ondřej Surý <ondrej@debian.org> to control@bugs.debian.org. (Wed, 11 Apr 2012 21:39:04 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 10 May 2012 07:34:20 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 06:58:12 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.